Subject: Re: bug#21681: [PATCH] Fix formatting of lexical-binding at eof warning

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Oct 2015 20:42:25 +0300

> Date: Wed, 14 Oct 2015 12:56:28 -0400
> From: Noam Postavsky <[email-masked]>
> Cc: [email-masked]
> 
> On Wed, Oct 14, 2015 at 12:28 PM, Eli Zaretskii <[email-masked]> wrote:
> > Why 'files', and not something more concrete, like
> > 'file-local-variables'?
> 
> The docstring for display-warning says the TYPE arg should be a custom group.
> 
> display-warning doesn't actually enforce this, and it looks like the
> choice of symbol(s) is only relevant to warning-suppress-log-types.
> Perhaps the TYPE should be '(files local-variables) so the user can
> suppress it along with all files warnings or just suppress it on it's
> own, but display-warning only prints the 1st symbol of the list so the
> warning text itself wouldn't change.

I find "files" no more explanatory that "warning".  If we lack
infrastructure to display meaningful messages that unequivocally point
to the nature of the problem, let's add the missing infrastructure.

Thanks.